Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.i18n.shared
Class BidiFormatter.Factory

    java.lang.Object
      com.google.gwt.i18n.shared.BidiFormatterBase.Factory<BidiFormatter>
          com.google.gwt.i18n.shared.BidiFormatter.Factory

Enclosing class:
  BidiFormatter

    static class BidiFormatter.Factory

extends BidiFormatterBase.Factory<BidiFormatter>

Constructor Summary
`BidiFormatter.Factory()`

Method Summary
`BidiFormatter` | `createInstance(HasDirection.Direction contextDir, boolean alwaysSpan)`

Methods inherited from class com.google.gwt.i18n.shared.BidiFormatterBase.Factory
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BidiFormatter.Factory

    BidiFormatter.Factory()

Method Detail

### createInstance

    public BidiFormatter createInstance(HasDirection.Direction contextDir,
                                        boolean alwaysSpan)

  Specified by:
    `createInstance` in class `BidiFormatterBase.Factory<BidiFormatter>`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD